#attendance {
  border-collapse: collapse;
  border-color: #888888; }

#attendance_content .row_header {
  border-color: #444444;
  background-color: #eeeeee; }

#attendance_content {
  margin: 0 -2px -2px 0; }

#attendance_content .cell {
  border-width: 1px;
  margin-right: -1px;
  margin-bottom: -1px; }

#attendance_content .assignment, #attendance_content .student {
  border-color: #444444;
  background-color: #eeeeee; }

#attendance_content .assignment .assignment_content {
  padding: 1px 3px; }

#attendance_content .assignment .title a {
  text-decoration: none;
  color: #444444; }

#attendance_content .assignment .due_at {
  font-size: 0.6em;
  margin-left: 5px;
  color: #888888;
  max-width: 115px;
  white-space: nowrap; }

#attendance_content .assignment .possible {
  color: #888888;
  font-size: 0.8em;
  float: left;
  margin-left: 5px; }

#attendance_content .assignment .options {
  float: right;
  margin-right: 5px; }

#attendance_content .assignment.selected {
  background-color: #cccccc; }

#attendance_content .assignment.related {
  background-color: #cccccc; }

#attendance_content .student .student_content {
  padding: 0 0 0 2px; }

#attendance_content .student.selected {
  background-color: #cccccc; }

#attendance_content .student.related {
  background-color: #cccccc; }

#attendance_content .student .secondary_identifier {
  font-size: 0.6em;
  margin-left: 10px;
  color: #999999; }

#attendance_content .assignment div.title {
  white-space: nowrap;
  overflow: hidden; }

#attendance_content .submission .blank_attendance {
  width: 24px;
  height: 24px; }

#attendance_content .submission.pass .blank_attendance {
  background: url(/images/graded.png) no-repeat center center; }

#attendance_content .submission.fail .blank_attendance {
  background: url(/images/not_graded.png) no-repeat center center; }

#attendance_content .submission {
  text-align: center;
  vertical-align: middle;
  cursor: pointer; }

#attendance_content .submission .submission_content {
  padding: 4px; }

#attendance_content .submission.selected {
  background-color: #eeeeee; }

#attendance_content .submission.related {
  background-color: #f0f0f0; }

#attendance_content .submission.focus {
  background-color: #cccccc; }

#attendance_content .submission.saving {
  background-color: #cccccc; }

#attendance_content .submission.loading {
  background: #eeeeee url(/images/ellipses.png) no-repeat center center; }

#attendance_content .options_dropdown img {
  background: url(/images/menu_option.png) no-repeat center center; }

#attendance_content .options_dropdown:hover img {
  background-image: url(/images/menu_option_hover.png); }

#attendance .help_link {
  color: #888888; }

#student_attendance {
  margin: 5px 20px;
  width: auto;
  min-width: 400px;
  border-collapse: collapse; }
  #student_attendance th {
    text-align: left;
    background-color: #444444;
    color: #eeeeee;
    font-size: 1.2em;
    min-width: 100px;
    padding: 1px 5px; }
  #student_attendance td {
    border-bottom: 1px dotted #dddddd;
    font-size: 1.2em;
    padding: 2px 15px; }
    #student_attendance td .sub_title {
      font-size: 0.6em;
      margin-left: 10px; }
    #student_attendance td.submission {
      padding: 1px 10px;
      text-align: center;
      vertical-align: middle; }
  #student_attendance tr:hover td {
    background-color: #eeeeee; }
  #student_attendance tr.highlighted td {
    background-color: #ccddff; }
